| Home | Libraries | People | FAQ | More

## Function template make_times_time_iterator_begin

boost::numeric::odeint::make_times_time_iterator_begin — Factory function for times_time_iterator. Constructs a begin iterator.

## Synopsis

    // In header: <boost/numeric/odeint/iterator/times_time_iterator.hpp>

    template<typename Stepper, typename System, typename State,
             typename TimeIterator>
      times_time_iterator< Stepper, System, State, TimeIterator >
      make_times_time_iterator_begin(Stepper stepper, System system, State & x,
                                     TimeIterator t_start, TimeIterator t_end,
                                     typename traits::time_type< Stepper >::type dt);

## Description

Parameters:

`stepper` | The stepper to use during the iteration.
`system` | The system function (ODE) to solve.
`x` | The initial state. const_step_iterator stores a reference of s and changes its value during the iteration.
`t_start` | Begin iterator of the sequence of evaluation time points.
`t_end` | End iterator of the sequence of evaluation time points.
`dt` | The initial time step.

Returns: | The times_time iterator.